Bug 468034 - RHEL 5.3: minor virtio_net_fixes
RHEL 5.3: minor virtio_net_fixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Mark McLoughlin
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 10:27 EDT by Mark McLoughlin
Modified: 2009-01-20 15:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:16:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1 (1.30 KB, patch)
2008-10-22 10:30 EDT, Mark McLoughlin
no flags Details | Diff
2 (1.16 KB, patch)
2008-10-22 10:31 EDT, Mark McLoughlin
no flags Details | Diff
3 (960 bytes, patch)
2008-10-22 10:31 EDT, Mark McLoughlin
no flags Details | Diff
4 (2.05 KB, patch)
2008-10-22 10:31 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-10-22 10:27:59 EDT
Since the initial backport of virtio_net for RHEL 5.3, we have identified a number of fixes required:

 1) Fix leaked netdev->refcnt - it can often be impossible to unload
    the virtio_net driver with rmmod because of a device refcount
    leak. The bug does not exist upstream because it is in code added
    as part of the backport.

    This is quite a serious bug.

 2) Support ethtool offload queries - a simple and safe ethtool change
    needed because of differences between 2.6.18 and upstream.

    This is useful to people testing different GSO settings.

 3) Make use of napi_weight module param - the backport caused the
    napi_weight module param to be ignored.

    This is a clear bug - minor but the fix is very safe.

 4) Recycle some more rx buffer pages - trivial, safe optimization
    which will be in 2.6.28.

    This is a simple performance fix.

Each of these fixes are relatively minor and have tested all these patches quite extensively as part of our general testing efforts around RHEL5 virtio drivers.
Comment 1 Mark McLoughlin 2008-10-22 10:30:48 EDT
Created attachment 321158 [details]
1
Comment 2 Mark McLoughlin 2008-10-22 10:31:15 EDT
Created attachment 321159 [details]
2
Comment 3 Mark McLoughlin 2008-10-22 10:31:33 EDT
Created attachment 321160 [details]
3
Comment 4 Mark McLoughlin 2008-10-22 10:31:52 EDT
Created attachment 321161 [details]
4
Comment 6 RHEL Product and Program Management 2008-10-22 12:37:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2008-11-04 11:51:10 EST
in kernel-2.6.18-122.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 errata-xmlrpc 2009-01-20 15:16:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.